#%define with_maven 1
#%define with_repolib 1
#%define repodir %{_javadir}/repository.jboss.com/org/jvnet/staxex/%{version}-brew
#%define repodirlib %{repodir}/lib
#%define repodirsrc %{repodir}/src

Name:          stax-ex
Version:       1.4
Release:       1
Summary:       StAX API extensions
Group:         Development/Java
License:       CDDL and GPL
Url:           https://stax-ex.dev.java.net/

# svn export https://svn.java.net/svn/stax-ex~svn/tags/stax-ex-1.4 stax-ex-1.4
# find stax-ex-1.4/ -name '*.jar' -delete
# tar czf stax-ex-1.4-src-svn.tar.gz stax-ex-1.4
Source0:       stax-ex-1.4-src-svn.tar.gz

#Source1:       stax-ex-1.4-autogeneratedfiles.tar.gz
#Source2:       stax-ex-component-info.xml

Patch0:        stax-ex-1.4-pom.patch

BuildRequires: bea-stax
BuildRequires: maven
#BuildRequires: maven-ant-plugin
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: package-rename-task
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils

Requires:      bea-stax
Requires:      jpackage-utils

BuildArch:     noarch

%description
This project develops a few extensions to complement JSR-173 StAX API in the
following area.

1. Enable parser instance reuse (which is important in the
	high-performance environment like JAXB and JAX-WS)
2. Improve the support for reading from non-text XML infoset,
	such as FastInfoset.
3. Improve the namespace support.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
STAX extensions.

This package contains javadoc for %{name}.

%prep
%setup -q -n stax-ex-%{version}
%patch0 -p1

iconv -f iso8859-1 -t utf-8 LICENSE.txt > LICENSE.txt.conv && mv -f LICENSE.txt.conv LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
install -m 644 target/stax-ex-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# JAVADOC
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
cp -p pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/stax-ex.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/stax-ex

